/* ==========================================================================
* 작 성 자 : 이순규
* 작 성 일 : 2008.01.10
* 내    용 : 맵 다이얼로그
* 주의사항 : 
*===========================================================================*/
#pragma once

#include "Button.h"
#include "NumericEdit.h"

/// 맵 다이얼로그
class cMapDialog : public CDialog
{
	DECLARE_DYNAMIC(cMapDialog)

public:
	cMapDialog();
	~cMapDialog();

	bool IsNaviFieldChecked() const;

protected:
	virtual void DoDataExchange( CDataExchange* dx );
	BOOL OnInitDialog();

protected:
	afx_msg void OnClickedLoad();
	afx_msg void OnCheckedButton();
	DECLARE_MESSAGE_MAP()

private:
	cButton mLoadButton;
	cNumericEdit mMapNum;
};
